Name: tcl-gpgme
Version: 1.0.1
Release: alt4

Summary: Tcl GPGME provides a Tcl interface to the GnuGPG Made Easy library.
License: GPL
Group: System/Libraries
Url: http://beepcore-tcl.sourceforge.net/

Source: %name-%version.tar.gz

Requires: libgpgme-compat
BuildRequires: rpm-build >= 4.0.4-alt41 rpm-build-tcl >= 0.2-alt1 tcl-devel >= 8.4.0 libgpgme-compat-devel

%description
Tcl GPGME provides a Tcl interface to the GnuGPG Made Easy library.
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%prep
%setup -qc
%teapatch
sed -i 's,@lib@,%_lib,' pkgIndex.tcl.in

%build
%__aclocal
%__autoconf
%configure
%make_build

%install
%makeinstall

%files
%doc AUTHORS README doc/*.html
%_tcllibdir/libtclgpgme%version.so
%_tcldatadir/tclgpgme%version

%changelog
* Sat Nov  4 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.0.1-alt4
- moved to TEA-compliant build

* Tue Oct 19 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.1-alt3.1
- Updated build dependencies (libgpgme-compat-devel).

* Thu Jul 15 2004 Sergey Kalinin <banzaj@altlinux.ru> 1.0.1-alt3
- *.la files remove
- changes location *.so file from _libdir to _tcllibdir
- added russian summary and description into spec-file

* Wed Aug 06 2003 Sergey Kalinin <banzaj@altlinux.ru> 1.0.1-alt2
- spec file changes

* Thu Jul 08 2003 Sergey Kalinin <banzaj@altlinux.ru> 1.0.1-alt1
- initial release
